# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface Class Reference

`#include <PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface ()
| PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface (const Handle(PGeom_BezierSurface)&aValue)
void | SetValue (const Handle(PGeom_BezierSurface)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PGeom_BezierSurface | myValue

## Constructor & Destructor Documentation

PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface::PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface | ( |  | ) |

PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface::PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface | ( | const Handle(PGeom_BezierSurface)& | aValue | ) |

## Member Function Documentation

void PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface::SetValue | ( | const Handle(PGeom_BezierSurface)& | aValue | ) |

Standard_Address PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_BezierSurface PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface::myValue `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayTNodeOfFieldOfHArray2OfBezierSurface.hxx